package com.pcloud.common.core.constant;

/**
 * 场景值
 * @author  作者 : lili
 * @date 创建时间：2016年12月2日 上午9:10:49
 * @version 1.0
 * @return
 */
public enum SceneCode {

	/**
	 * 奖金发放通知
	 */
	PRIZE_SEND_SCENE("PRIZE_SEND_SCENE"),

	/**
	 * 服务完成通知
	 */
	SERVICE_FINISH_SCENE("SERVICE_FINISH_SCENE"),

	/**
	 * 新订单通知
	 */
	NEW_ORDER_SCENE("NEW_ORDER_SCENE"),

	/**
	 * 订单支付成功
	 */
	PAY_SUCCESS_SCENE("PAY_SUCCESS_SCENE"),

	/**
	 * 报名成功提醒
	 */
	BM_SUCCESS_SCENE("BM_SUCCESS_SCENE"),

	/**
	 * 商家回复提醒
	 */
	REPLY_SCENE("REPLY_SCENE"),

	/**
	 * 拒绝提醒
	 */
	REFUSE_SCENE("REFUSE_SCENE"),

	/**
	 * 用户提问通知
	 */
	USER_QUESTION_SCENE("USER_QUESTION_SCENE"),

	/**
	 * 退货完成通知
	 */
	REFUND_FINISH_SCENE("REFUND_FINISH_SCENE"),

	/**
	 * 退款成功
	 */
	REFUND_SUCCESS_SCENE("REFUND_SUCCESS_SCENE"),

	/**
	 * 订单发货提醒
	 */
	SIPPING_SCENE("SIPPING_SCENE"),

	/**
	 * 审核结果通知
	 */
	AUDIT_RESULT_SCENE("AUDIT_RESULT_SCENE"),

	/**
	 * 任务处理结果提醒
	 */
	TASK_HANDLE_RESULT_SCENE("TASK_HANDLE_RESULT_SCENE"),

	/**
	 * 订单消息通知
	 */
	ORDER_MESSAGE_SCENE("ORDER_MESSAGE_SCENE"),

	/**
	 *	确认登录提醒
	 */
	CONFIRM_LOGIN_SCENE("CONFIRM_LOGIN_SCENE"),

	/**
	 * 预约提醒
	 */
	APPOINT_SCENE("APPOINT_SCENE"),

	/**
	 * 学习进度提醒
	 */
	LEARN_PROGRESS_SCENE("LEARN_PROGRESS_SCENE"),

	/**
	 * 项目任务提醒
	 */
	PROJECT_TASK_SCENE("PROJECT_TASK_SCENE"),

	/**
	 * 中奖提醒
	 */
	PRIZE_SCENE("PRIZE_SCENE"),

	/**
	 * 课表通知
	 */
	TIMETABLE_SCENE("TIMETABLE_SCENE"),

	/**
	 * 会员到期提醒
	 */
	MEMBERSHIP_EXPIRE("MEMBERSHIP_EXPIRE");

	/**
	 * 值
	 */
	public final String value;

	/**
	 * 构造
	 *
	 * @param value
	 */
	private SceneCode(String value) {
		this.value = value;
	}

}
